## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate zoxide
%global crates_source https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

Name:           rust-zoxide
Version:        0.9.4
Release:        %autorelease
Summary:        Smarter cd command for your terminal

License:        MIT
URL:            https://crates.io/crates/zoxide
Source0:        %{crates_source}
Source1:        zoxide-0.9.4-vendor.tar.xz
Source2:        LICENSE.dependencies
# Automatically generated patch to strip dependencies and normalize metadata
Patch0:         zoxide-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop settings from release profile to preserve debuginfo
Patch1:         zoxide-fix-metadata.diff

BuildRequires:  rust-toolset
%if %{with check}
BuildRequires:  /usr/bin/bash
BuildRequires:  /usr/bin/fish
BuildRequires:  /usr/bin/shellcheck
BuildRequires:  /usr/bin/zsh
%endif

%global _description %{expand:
A smarter cd command for your terminal.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# CC0-1.0 OR MIT-0 OR Apache-2.0
# MIT
# MIT OR Apache-2.0
# MPL-2.0
License:        MIT AND MPL-2.0 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT-0 OR Apache-2.0)
# LICENSE.dependencies contains a full license breakdown

# recommend fuzzy finder for interactive completions
Recommends:     fzf

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/zoxide
%{_mandir}/man1/%{crate}*.1*
%{bash_completions_dir}/%{crate}.bash
%{fish_completions_dir}/%{crate}.fish
%{zsh_completions_dir}/_%{crate}

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep -V 1
cp -pav %{SOURCE2} .

%build
%cargo_build

%install
%cargo_install
# install manpages
install -Dpm 644 man/man1/%{crate}*.1 -t %{buildroot}%{_mandir}/man1/
# install shell completions
install -Dpm 644 contrib/completions/%{crate}.bash -t %{buildroot}/%{bash_completions_dir}/
install -Dpm 644 contrib/completions/%{crate}.fish -t %{buildroot}/%{fish_completions_dir}/
install -Dpm 644 contrib/completions/_%{crate} -t %{buildroot}/%{zsh_completions_dir}/

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Sep 04 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-2
- Add license breakdown to LICENSE.dependencies

* Wed Sep 04 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-1
- Initial import for EPEL 8
## END: Generated by rpmautospec
